This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 765396 - (GLUSTER-3664) glusterd crashed when trying to mount a tcp,rdma volume via rdma transport
glusterd crashed when trying to mount a tcp,rdma volume via rdma transport
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: rdma (Show other bugs)
pre-release
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Raghavendra G
: Triaged
Depends On:
Blocks: 849124 858449
  Show dependency treegraph
 
Reported: 2011-09-29 05:25 EDT by M S Vishwanath Bhat
Modified: 2016-05-31 21:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 849124 (view as bug list)
Environment:
Last Closed: 2015-10-22 11:40:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
glusterd log file (27.08 KB, text/plain)
2011-09-29 02:25 EDT, M S Vishwanath Bhat
no flags Details

  None (edit)
Description M S Vishwanath Bhat 2011-09-29 05:25:36 EDT
Created a volume with tcp,rdma transport type. Now I can mount this volume via tcp transport but when I tried to mount the same volume via rdma transport glusterd crahsed. Core is generated with following backtrace.

Loaded symbols for /usr/lib64/libmthca-rdmav2.so
Reading symbols from /lib64/libnss_files.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib64/libnss_files.so.2
Reading symbols from /lib64/libnss_dns.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib64/libnss_dns.so.2
Reading symbols from /lib64/libresolv.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib64/libresolv.so.2
Reading symbols from /lib64/libgcc_s.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib64/libgcc_s.so.1

warning: no loadable sections found in added symbol-file system-supplied DSO at 0x7fff9f1fc000
Core was generated by `glusterd'.
Program terminated with signal 11, Segmentation fault.
#0  0x00002aaaab01d592 in rdma_decode_msg (peer=0x7901708, post=0x74cd7e0, readch=0x43b3f050, bytes_in_post=164) at ../../../../../rpc/rpc-transport/rdma/src/rdma.c:2804
2804                    memcpy (post->ctx.vector[0].iov_base, ptr,
(gdb) bt
#0  0x00002aaaab01d592 in rdma_decode_msg (peer=0x7901708, post=0x74cd7e0, readch=0x43b3f050, bytes_in_post=164) at ../../../../../rpc/rpc-transport/rdma/src/rdma.c:2804
#1  0x00002aaaab01d6d4 in rdma_decode_header (peer=0x7901708, post=0x74cd7e0, readch=0x43b3f050, bytes_in_post=164) at ../../../../../rpc/rpc-transport/rdma/src/rdma.c:2844
#2  0x00002aaaab01e4f6 in rdma_process_recv (peer=0x7901708, wc=0x43b3f0d0) at ../../../../../rpc/rpc-transport/rdma/src/rdma.c:3215
#3  0x00002aaaab01e93e in rdma_recv_completion_proc (data=0x5ea7420) at ../../../../../rpc/rpc-transport/rdma/src/rdma.c:3347
#4  0x000000328420673d in start_thread () from /lib64/libpthread.so.0
#5  0x0000003283ad40cd in clone () from /lib64/libc.so.6
(gdb) f 0
#0  0x00002aaaab01d592 in rdma_decode_msg (peer=0x7901708, post=0x74cd7e0, readch=0x43b3f050, bytes_in_post=164) at ../../../../../rpc/rpc-transport/rdma/src/rdma.c:2804
2804                    memcpy (post->ctx.vector[0].iov_base, ptr,
(gdb) 


I will upload the glusterd log file. I have archived the core file since it's too big to upload. (201MB)
Comment 1 Raghavendra G 2011-09-30 02:35:57 EDT
f78c8253d7fb7576 is causing some memory corruption.
Comment 2 Amar Tumballi 2012-02-27 05:35:50 EST
This is the priority for immediate future (before 3.3.0 GA release). Will bump the priority up once we take RDMA related tasks.
Comment 3 Kaleb KEITHLEY 2015-10-22 11:40:20 EDT
pre-release version is ambiguous and about to be removed as a choice.

If you believe this is still a bug, please change the status back to NEW and choose the appropriate, applicable version for it.

Note You need to log in before you can comment on or make changes to this bug.